Adds a new moderator for the chat. The request must be authorized by the owner of the live chat's channel.

## Common use cases

<iframe src="https://developers.devsite.google/frame/youtube/data/live/reference/rest/v3/liveChatModerators/insert_96272f1191040b7d1019c32361ab24c989d78e45a6e43b5a0be3b16cf21a7efd.frame" class="framebox inherit-locale " allow="clipboard-write https://developers.devsite.google" allowfullscreen is-upgraded></iframe>

## Request

### HTTP request

```
POST https://www.googleapis.com/youtube/v3/liveChat/moderators
```

### Authorization

This request requires authorization with at least one of the following scopes ([read more about authentication and authorization](https://developers.google.com/youtube/data/live/authentication.md.txt)).

| Scope |
|---|
| `https://www.googleapis.com/auth/youtube` |
| `https://www.googleapis.com/auth/youtube.force-ssl` |

### Parameters

The following table lists the parameters that this query supports. All of the parameters listed are query parameters.

| Parameters ||
|---|---|---|
| **Required parameters** |||
| `part` | `string` The `part` parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response returns. Set the parameter value to `snippet`. |

### Request body

Provide a [liveChatModerator resource](https://developers.google.com/youtube/data/live/reference/rest/v3/liveChatModerators.md.txt#resource) in the request body.
For that resource:

- You must specify a value for these properties:

  <br />

  - `snippet.moderatorDetails.channelId`
  - `snippet.liveChatId`

  <br />

## Response

If successful, this method returns a [liveChatModerator resource](https://developers.google.com/youtube/data/live/reference/rest/v3/liveChatModerators.md.txt#resource) in the response body.

## Errors

The API does not define any error messages that are unique to this API method. However, this method could still return general API errors listed in the [error message](https://developers.google.com/youtube/data/live/reference/rest/v3/errors.md.txt#general) documentation.

## Try it!

Use the APIs Explorer to call this API and see the API request and response.